Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 611608 - dev-python/potr: support dev-python/pycryptodome
Summary: dev-python/potr: support dev-python/pycryptodome
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Deadline: 2020-05-18
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords: PMASKED
Depends on: 717884
Blocks: pycryptodome-tracker
  Show dependency tree
 
Reported: 2017-03-03 23:16 UTC by Michał Górny
Modified: 2020-05-23 09:29 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
A patch for pycryptodome compatibility and doc updates (pycryptodome.patch,3.04 KB, patch)
2017-12-22 20:58 UTC, Daniel Robbins
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2017-03-03 23:16:37 UTC
See tracker.
Comment 1 Daniel Robbins 2017-12-22 20:58:23 UTC
Created attachment 511492 [details, diff]
A patch for pycryptodome compatibility and doc updates
Comment 2 Daniel Robbins 2017-12-22 20:58:48 UTC
Attached is a patch to make this python package work with pycryptodome.
Comment 3 Amadeusz Żołnowski gentoo-dev 2019-11-19 22:36:16 UTC
https://github.com/python-otr/pure-python-otr/issues/68 - submitted patch upstream
Comment 4 Sam James (sec padawan) 2020-03-30 17:18:51 UTC
this package is kind of dead upstream. the maintainer is working on replacing pycrypto but it's not done yet. 

It shouldn't hold us up IMO: https://github.com/python-otr/pure-python-otr/issues/68
Comment 5 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-04-17 10:57:38 UTC
Comment on attachment 511492 [details, diff]
A patch for pycryptodome compatibility and doc updates

The attached patch doesn't work.
Comment 6 Larry the Git Cow gentoo-dev 2020-04-18 09:39:21 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0eba84278300cc08d98b1d498a1b16a170bb8d24

commit 0eba84278300cc08d98b1d498a1b16a170bb8d24
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2020-04-18 09:35:30 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2020-04-18 09:39:10 +0000

    package.mask: Last rite dev-python/potr
    
    Bug: https://bugs.gentoo.org/611608
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 profiles/package.mask | 6 ++++++
 1 file changed, 6 insertions(+)
Comment 7 Larry the Git Cow gentoo-dev 2020-05-23 09:29:34 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=faf686e9ee2deea8d2561cbd63001c7f8cfb5f33

commit faf686e9ee2deea8d2561cbd63001c7f8cfb5f33
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2020-05-23 09:27:48 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2020-05-23 09:29:26 +0000

    dev-python/potr: Remove last-rited pkg
    
    Closes: https://bugs.gentoo.org/611608
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 dev-python/potr/Manifest          |  1 -
 dev-python/potr/metadata.xml      | 12 ------------
 dev-python/potr/potr-1.0.1.ebuild | 28 ----------------------------
 profiles/package.mask             |  6 ------
 4 files changed, 47 deletions(-)